Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Classes | Functions | Variables
eZPBINIFile.php File Reference

Go to the source code of this file.

## Classes
class | eZPBINIFile

## Functions
if( $useoverride) | load_override_data ( $inifilename="")
static | file_exists ( $inifilename)
| parse ( $inifilename, $append=false)
| parse_data ( $data)
| save_data ()
| get_group_count ()
| read_groups ()
| group_exists ( $group_name)
| read_group ( $group_name)
| add_group ( $group_name)
| empty_group ( $group_name)
| has_var ( $group_name, $var_name)
| read_var ( $group_name, $var_name)
| read_array ( $group_name, $var_name)
| set_var ( $group_name, $var_name, $var_value)
| error ( $errmsg)
static & | globalINI ( $type="SiteIni", $file="settings/site.ini")

## Variables
| $INI_FILE_NAME = ""
| $ERROR = ""
| $GROUPS = array()
| $CURRENT_GROUP = ""
| $WRITE_ACCESS = ""
| $Index = ""
| $WWWDir = ""
| $SiteDir = ""

## Function Documentation

## ◆ add_group()

add_group | ( |  | $group_name | ) |

Adds a new group to the ini file.

Definition at line 352 of file eZPBINIFile.php.

## ◆ empty_group()

empty_group | ( |  | $group_name | ) |

Clears a group.

Definition at line 369 of file eZPBINIFile.php.

## ◆ error()

error | ( |  | $errmsg | ) |

Prints the error message.

Definition at line 465 of file eZPBINIFile.php.

References $ini, and globalINI().

Referenced by ezups\getxml(), eZPBINIFile\load_data(), and upsRate\rate().

## ◆ file_exists()

static file_exists | ( |  | $inifilename | ) |
| static

Definition at line 195 of file eZPBINIFile.php.

Referenced by eZPBLog\__construct(), eZPBINIFile\__construct(), eZLocale\__construct(), ezpRestCacheStorageCluster\__construct(), eZTemplate\__construct(), eZQDomRenderer\__construct(), eZCheckout\__construct(), eZDFSFileHandlerMySQLiBackend\_fetch(), eZExtension\activeExtensions(), eZWebDAVContentBackend\appendLogEntry(), eZTemplate\cache(), eZCharTransform\cacheFilePath(), eZImage\checkImage(), eZMD5\checkMD5Sums(), eZDir\cleanupEmptyDirectories(), eZTemplate\clearCache(), eZSQLite3DB\connect(), eZDFSFileHandlerDFSBackend\copyFromDFS(), eZDFSFileHandlerDFSBackend\copyFromDFSToDFS(), eZFile\create(), eZMenuBox\createBox(), eZMedia\delete(), eZFSFileHandler\delete(), eZVirtualFile\delete(), eZImage\delete(), eZImageVariation\delete(), deleteCache(), eZFileHandler\doExists(), eZFile\download(), eZFile\downloadContent(), eZFile\downloadHeaders(), eZCharTransform\executeCacheFile(), eZCodeMapper\executeCommandCode(), eZCodePage\exists(), eZDFSFileHandlerDFSBackend\existsOnDFS(), eZFSFileHandler\fileDelete(), eZFSFileHandler\fileExists(), eZImage\fileExists(), eZMedia\fileExists(), eZFSFileHandler\fileFetch(), eZCodePage\fileModification(), eZTemplate\filename(), Template\filename(), eZImage\filePath(), eZMedia\filePath(), eZExtension\findExtensionType(), eZSiteAccess\findPathToSiteAccess(), eZCodeMapper\generateCommandCode(), eZImageVariation\getByGroupAndImage(), eZAutoloadGenerator\handleDefaultExcludeFile(), eZTemplate\hasCache(), eZImage\height(), eZSysinfo\idebus(), eZFreeTradeImport\importCategories(), eZFSFileHandler\isExpired(), eZFileHandler\link(), eZCodePage\load(), eZCodePageMapper\load(), eZPBINIFile\load_data(), load_override_data(), eZTemplate\loadfile(), eZFSFileHandler\loadMetaData(), eZCodeMapper\loadTransformationFiles(), eZTSTranslator\loadTranslationFile(), eZDir\mkdir(), eZDFSFileHandlerMySQLiBackend\mkdir_p(), eZFileHandler\move(), eZFSFileHandler\processCache(), eZDFSFileHandler\processCache(), eZTechRenderer\renderModule(), eZImageVariation\requestVariation(), eZSys\rootDir(), eZLog\rotateLog(), eZDebug\rotateLog(), ezpbKernelAdmin\run(), ezpbKernelWeb\run(), eZSysinfo\scsibus(), eZVirtualFile\setFile(), eZImage\setImage(), eZDFSFileHandler\storeCache(), eZTranslationCache\storeCache(), eZTemplate\storeCache(), eZCodePage\storeCacheObject(), eZWebDAVContentBackend\storeUploadedFile(), eZFileHandler\symlink(), eZWebDAVContentBackend\tempDirectory(), eZImage\watermarkPath(), eZImage\width(), eZLog\write(), eZAutoloadGenerator\writeAutoloadFiles(), eZDebug\writeFile(), and eZLog\writeStorageLog().

## ◆ get_group_count()

get_group_count | ( |  | ) |

Returns the number of groups.

Definition at line 306 of file eZPBINIFile.php.

## ◆ globalINI()

static& globalINI | ( |  | $type = `"SiteIni"`,
|  |  | $file = `"settings/site.ini"`
| ) |  |
| static

Returns the global ini file for a given type. Normally the type is the site.ini INI object, loaded from the site.ini file. This can be overidden by supplying $type and $file. If the ini-file object does not exist it is created before returning.

Definition at line 482 of file eZPBINIFile.php.

References $file, and $ini.

Referenced by error().

## ◆ group_exists()

group_exists | ( |  | $group_name | ) |

Checks if a group exists.

Definition at line 325 of file eZPBINIFile.php.

References $group.

## ◆ has_var()

has_var | ( |  | $group_name,
|  |  | $var_name
| ) |  |

Returns true if the group and variable exists.

Definition at line 379 of file eZPBINIFile.php.

## ◆ load_override_data()

if ($useoverride) load_override_data | ( |  | $inifilename = `""` | ) |

Definition at line 182 of file eZPBINIFile.php.

References file_exists(), and parse().

Referenced by eZPBINIFile\load_data().

## ◆ parse()

parse | ( |  | $inifilename,
|  |  | $append = `false`
| ) |  |

Parses the ini file.

Definition at line 205 of file eZPBINIFile.php.

References $contents, $fp, eZPBFile\filesize(), eZPBFile\fopen(), and parse_data().

Referenced by eZPBINIFile\load_data(), and load_override_data().

## ◆ parse_data()

parse_data | ( |  | $data | ) |

Parses the variable.

Definition at line 240 of file eZPBINIFile.php.

References $CURRENT_GROUP.

Referenced by parse().

## ◆ read_array()

read_array | ( |  | $group_name,
|  |  | $var_name
| ) |  |

Reads a variable from a group and returns the result as an array of strings.

The variable is split on ; characters.

Definition at line 431 of file eZPBINIFile.php.

## ◆ read_group()

read_group | ( |  | $group_name | ) |

Returns an associative array of the variables in one group.

Definition at line 336 of file eZPBINIFile.php.

References $group_array.

Referenced by save_data().

## ◆ read_groups()

read_groups | ( |  | ) |

Returns an array with the names of all the groups.

Definition at line 314 of file eZPBINIFile.php.

References $groups.

Referenced by save_data().

## ◆ read_var()

read_var | ( |  | $group_name,
|  |  | $var_name
| ) |  |

Reads a variable from a group.

Definition at line 388 of file eZPBINIFile.php.

## ◆ save_data()

save_data | ( |  | ) |

Saves the ini file.

Definition at line 265 of file eZPBINIFile.php.

References $fp, $group, $groups, $i, $res, eZPBFile\fopen(), read_group(), and read_groups().

## ◆ set_var()

set_var | ( |  | $group_name,
|  |  | $var_name,
|  |  | $var_value
| ) |  |

Sets a variable in a group.

Definition at line 456 of file eZPBINIFile.php.

## Variable Documentation

## ◆ $CURRENT_GROUP

$CURRENT_GROUP = ""

Definition at line 497 of file eZPBINIFile.php.

Referenced by parse_data().

## ◆ $ERROR

$ERROR = ""

Definition at line 495 of file eZPBINIFile.php.

## ◆ $GROUPS

$GROUPS = array()

Definition at line 496 of file eZPBINIFile.php.

## ◆ $Index

$Index = ""

Definition at line 499 of file eZPBINIFile.php.

## ◆ $INI_FILE_NAME

$INI_FILE_NAME = ""

Definition at line 494 of file eZPBINIFile.php.

## ◆ $SiteDir

$SiteDir = ""

Definition at line 501 of file eZPBINIFile.php.

## ◆ $WRITE_ACCESS

$WRITE_ACCESS = ""

Definition at line 498 of file eZPBINIFile.php.

## ◆ $WWWDir

$WWWDir = ""

Definition at line 500 of file eZPBINIFile.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.